//give some more default things uiNames

playerTeleportEmitterA.uiName = "Player Teleport A";

hammerProjectile.uiName = "Hammer Hit";
wrenchProjectile.uiName = "Wrench Hit";
wandProjectile.uiName = "Wand Hit";
AdminWandProjectile.uiName = "Wand Hit, Destructo";

bluePaintEmitter.uiName = "FX Can - Paint";
bluePaintEmitter.useEmitterColors = true;

bluePaintExplosionEmitter.uiName = "FX Can - Paint Bubble";
bluePaintExplosionEmitter.useEmitterColors = true;

bluePaintDropletEmitter.uiName = "FX Can - Paint Droplet";
bluePaintDropletEmitter.useEmitterColors = true;

//Weapons exec before particles
if(isObject(horseRayProjectile))
{
   horseRayProjectile.explosion = horseRayExplosion;
}

bluePaintProjectile.uiName = "Paint Spray";
package eventPaintProjectile
{
   function paintProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal)
   {
      return Parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
   }
   
   function Projectile::onAdd(%obj,%a,%b)
   {
      %val = Parent::onAdd(%obj,%a,%b);
      %this = %obj.dataBlock.getID();
      
      if(%this != bluePaintProjectile.getID() || !isObject(%obj.sourceObject))
         return %val;
      
      %type = %obj.sourceObject.getType();
      if((%type & $TypeMasks::PlayerObjectType) && isObject(%obj.client))
         %obj.setDatablock("color" @ %obj.client.currentColor @ "paintProjectile");
      else if(%type & $TypeMasks::fxBrickAlwaysObjectType)
      {
         %obj.client = %obj.sourceObject.getGroup().client;
         %obj.setDatablock("color" @ %obj.sourceObject.getColorID() @ "paintProjectile");
      }
      
      return %val;
   }
};activatePackage(eventPaintProjectile);